<?php
namespace Claromentis\Infocapture\Model;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_ea8229a121285ee649a" . "72fd880bac39b" => base64_decode("YXJyYXlfZmls" . "dGVy"), "n" . "a" . "m" . "e" => base64_decode("bmFtZQ=" . "="), "i" . "d" => base64_decode("a" . "W" . "Q" . "="), "_4d707fab93bebb00bb" . "e69e8159697c90" => base64_decode(""), "_bd71c3b5c201fc11db82ed" . "14ce424de5" => base64_decode("aW5fYX" . "JyYXk="), "fiel" . "ds" => base64_decode("Zml" . "lbG" . "Rz"), "proje" . "ct_id" => base64_decode("cHJvamVjdF9p" . "ZA=="));










class ICFieldGroup
{
    const COLUMNS = ['id', 'project_id', 'name'];
    protected $info;
    protected $actual_fields;
    public function __construct()
    {
        $this->info = [$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["i" . "d"] => 0, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["proje" . "ct_id"] => 0, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["n" . "a" . "m" . "e"] => $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_4d707fa" . "b93bebb0" . "0bbe69e8" . "159697c9" . "0"]];
        $this->actual_fields = null;
    }
    
    
    
    
    
    public function __get($name)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_bd71c3b" . "5c201fc1" . "1db82ed1" . "4ce424de" . "5"]($name, self::COLUMNS)) {
            return $this->info[$name];
        } elseif ($name === $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["fi" . "el" . "ds"]) {
            return $this->actual_fields;
        } else {
            return null;
        }
    }
    public function RemoveField(string $name)
    {
        if (isset($this->actual_fields)) {
            $this->actual_fields = $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_ea8229a121285ee649a72fd" . "880bac39b"]($this->actual_fields, function ($_639c656f6865ab6b445853d34bc56534) use($name) {
                return $_639c656f6865ab6b445853d34bc56534 !== $name;
            });
        }
    }
    public function AddField(string $name)
    {
        if (!$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_bd71c3b5c201fc11db82" . "ed14ce424de5"]($name, $this->actual_fields)) {
            $this->actual_fields[] = $name;
        }
    }
    public function __set($name, $value)
    {
        if ($name === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["i" . "d"]) {
            throw new \InvalidArgumentException();
        } elseif ($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_bd71c3b5c201fc11db8" . "2ed14ce424de5"]($name, self::COLUMNS)) {
            $this->info[$name] = $value;
        } elseif ($name === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["fie" . "lds"]) {
            $this->actual_fields = $value;
        } else {
            throw new \InvalidArgumentException();
        }
    }
    public function __isset($name)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_bd71c3b5c201fc11db82" . "ed14ce424de5"]($name, self::COLUMNS)) {
            return true;
        } elseif ($name === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["fiel" . "ds"]) {
            return isset($this->actual_fields);
        } else {
            return false;
        }
    }
    
    
    
    
    
    
    public function setInfo(array $info)
    {
        $this->info = $info;
    }
}